Range-v3 Range algorithms, views, and actions for the Standard Library |

List of all members
ranges::v3::indexed_element< T &&, Index > Struct Template Reference
Inheritance diagram for ranges::v3::indexed_element< T &&, Index >:

## Additional Inherited Members
Public Types inherited from ranges::v3::reference_wrapper< T, true >
using | reference = meta::if_c< RValue, T &&, T & >
using | type = T
Public Member Functions inherited from ranges::v3::reference_wrapper< T, true >
constexpr reference | get () const noexcept
constexpr | operator reference () const noexcept
| operator std::reference_wrapper< T > () const noexcept
constexpr auto | operator() (Args &&...args) const -> decltype(std::declval< reference >()(std::declval< Args >()...))
constexpr | reference_wrapper (reference t) noexcept